﻿# Utilisation d'une carte à puce pour s'authentifier

Nous allons voir comment s'authentifier (SSH, login) avec une carte à puces (smartcard,openpgp).

## Configuration de la carte à puce

## Utilisation de la carte à puce pour chiffrer un fichier

### Avec Nautilus

Nous allons utiliser Nautilus avec le plugin **seahorse-nautilus**. Sélectionnez le fichier, ou le dossier à chiffrer. Clic gauche -> option Chiffrer. Une fenêtre de dialogue s'affiche et vous permet de choisir la clef de chiffrement. Une fenêtre vous demande ensuite le code PIN.

Un fichier/dossier de même nom avec l'extension **.pgp** est créé. Vous pouvez supprimer le fichier original. 

Le déchiffrage fonctionne d'une manière similaire.

On peut noter qu'il est aussi possible de réaliser la même opération avec les clefs que vous avez déjà sur votre poste.

### À la main

Chiffrer le fichier

gpg2 --encrypt <mon_fichier>

Génère un fichier avec l’extension.gpg, illisible pour celui qui ne possède pas la clé.
Déchiffrer le fichier

gpg2 --output mon_fichier_dechiffre --decrypt mon_fichier.gpg

A l’exécution de cette commande, une boîte de dialogue vous demande de rentrer le mot de passe. C’est la « passphrase » que vous aviez tapée au moment de la génération des clés.
Et voilà le fichier « mon_fichier_dechiffre » apparaît et devient parfaitement lisible.

[Lien](https://tutox.fr/2017/12/08/chiffrer-fichiers-gnupg/)

Test: création d'un fichier texte, listage des clefs disponibles, chiffrage, déchiffrage.

---
```

```
---
## Utilisation de la carte à puce pour chiffrer un émail (avec thunderbird et enigmail)

## Utilisation de la carte à puce pour signer un fichier

### Avec Nautilus

Nous allons utiliser Nautilus avec le plugin **seahorse-nautilus**. Sélectionnez le fichier, ou le dossier à signer. Clic gauche -> option Signer. Une fenêtre de dialogue s'affiche et vous permet de choisir la clef de signature. Une fenêtre vous demande ensuite le code PIN.

La vérification de la signature fonctionne d'une manière similaire.

Un fichier/dossier de même nom avec l'extension **.sig** est créé. Vous pouvez supprimer le fichier original.

On peut noter qu'il est aussi possible de réaliser la même opération avec les clefs que vous avez déjà sur votre poste.

### À la main



## Utilisation de la carte à puce pour signer un émail

## Utilisation de la carte à puce pour chiffrer un dossier (Gnome3)

## Utilisation de la carte à puce pour se connecter/s'authentifier à/sur un serveur SSH distant

## Utilisation de la carte à puce pour s'authentifier sur un poste Debian/Linux (login)


