﻿## Installation d'un webmail

Le webmail permet de consulter/envoyer ses messages à partir d'un navigateur. Nous allons installer **rainloop**.
Vous trouverez des informations complémentaires (installation, plugins, configuration) sur le site: [Rainloop](http://www.rainloop.net/). Il existe d'autres webmails, mais celui-ci me convient bien.

### Installation

1. Télécharger la version communautaire sur le site, et la décompresser dans votre répertoire web (/home/www/ pour moi)  
  ```shell
wget http://www.rainloop.net/repository/webmail/rainloop-community-latest.zip
```
Création du répertoire /var/www/html/webmail et décompression de l'archive zip dans celui-ci
```
mkdir /var/www/html/webmail
cp /home/ericadmin/rainloop-community-latest.zip /var/www/html/webmail/
cd /var/www/html/webmail
unzip rainloop-community-latest.zip
```

2. Installation des dépendances: librairies et programmes  
  
Il nous faut les extensions php suivantes:
> cURL, json, libxml, dom, openssl, DateTime, PCRE, SPL, sqlite

```
root@adara:/etc# apt install php7.0 libapache2-mod-php7.0 php7.0-curl php7.0-xml php7.0-sqlite3 
```

### configuration

• Droits de lecture/écriture de l'application:

cd /var/www/html/webmail/rainloop
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

• Mise en place des propriétaires de l'application:

cd /var/www/html/webmail/rainloop
chown -R www-data:www-data .

### Création du site webmail.yojik.net



### Création du certificat pour webmail.yojik.net


Nous allons créer un certificat pour notre site webmail.



### Test


